local t = Def.ActorFrame {

	LoadActor( THEME:GetPathG("","up_right") )..{
	OnCommand=cmd(x,SCREEN_RIGHT;y,SCREEN_TOP;zoomtowidth,SCREEN_WIDTH*0.5;rotationx,180;horizalign,right;vertalign,bottom;zoomy,1.75;addx,SCREEN_WIDTH*1;sleep,0.2;decelerate,0.5;addx,-SCREEN_WIDTH*1;accelerate,0.1;zoomy,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
	RepeatCommand=cmd(sleep,12;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor( THEME:GetPathG("","up_right") )..{
	OnCommand=cmd(x,SCREEN_LEFT;y,SCREEN_TOP;zoomtowidth,SCREEN_WIDTH*0.5;rotationx,180;rotationy,180;horizalign,right;vertalign,bottom;zoomy,1.75;addx,-SCREEN_WIDTH*1;sleep,0.2;decelerate,0.5;addx,SCREEN_WIDTH*1;accelerate,0.1;zoomy,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
	RepeatCommand=cmd(sleep,12;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,0.5");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
	OffCommand=cmd(stoptweening;);
	};


	LoadActor("top_left")..{
	OnCommand=cmd(x,SCREEN_LEFT;y,SCREEN_TOP;horizalign,left;vertalign,top;diffusealpha,0;sleep,0.6;diffusealpha,1;linear,0.8;zoom,1.25;diffusealpha,0;);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor("top_left")..{
	OnCommand=cmd(x,SCREEN_LEFT;y,SCREEN_TOP;horizalign,left;vertalign,top;diffusealpha,0;zoomy,0;addx,-SCREEN_WIDTH*0.05;addy,-SCREEN_HEIGHT*0.05;sleep,0.4;accelerate,0.2;addx,SCREEN_WIDTH*0.05;addy,SCREEN_HEIGHT*0.05;diffusealpha,1;zoomy,1;queuecommand,"Repeat1";);
	Repeat1Command=cmd(linear,2;diffuse,color("0.8,0.4,1,0.8");linear,2;diffuse,color("1,1,1,1");queuecommand,"Repeat2";);
	Repeat2Command=cmd(sleep,2;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,0.8");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat1";);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor("leftlight")..{
	OnCommand=cmd(x,SCREEN_LEFT+84/2;y,SCREEN_TOP+14/2;horizalign,left;vertalign,top;diffusealpha,0;sleep,1;diffusealpha,1;queuecommand,"Repeat";);
	RepeatCommand=cmd(diffusealpha,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");decelerate,2.5;glow,color("0,1,1,0");queuecommand,"Repeat";);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor("cyberia7_mini")..{
	OnCommand=cmd(draworder,100;horizalign,left;x,SCREEN_LEFT+184/2;y,SCREEN_TOP+52/2;addx,-40/2;diffusealpha,0;sleep,0.5;decelerate,0.6;addx,40/2;diffusealpha,1;);
	};

	LoadActor("top_right")..{
	OnCommand=cmd(draworder,99;x,SCREEN_RIGHT;y,SCREEN_TOP;horizalign,right;vertalign,top;diffusealpha,0;sleep,0.6;diffusealpha,1;linear,0.4;zoom,1.25;diffusealpha,0;);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor("top_right")..{
	OnCommand=cmd(draworder,99;x,SCREEN_RIGHT;y,SCREEN_TOP;horizalign,right;vertalign,top;diffusealpha,0;zoomy,0;addx,SCREEN_WIDTH*0.05;addy,-SCREEN_HEIGHT*0.05;sleep,0.4;accelerate,0.2;addx,-SCREEN_WIDTH*0.05;addy,SCREEN_HEIGHT*0.05;diffusealpha,1;zoomy,1;queuecommand,"Repeat1";);
	Repeat1Command=cmd(linear,2.25;diffuse,color("0.8,0.4,1,0.8");linear,2;diffuse,color("1,1,1,1");queuecommand,"Repeat2";);
	Repeat2Command=cmd(sleep,2.25;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,0.8");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat1";);
	OffCommand=cmd(stoptweening;);
	};

	LoadActor("timeremain")..{
	OnCommand=cmd(draworder,100;x,SCREEN_RIGHT+8/2;y,SCREEN_TOP-8/2;horizalign,right;vertalign,top;addx,20;diffusealpha,0;sleep,0.6;linear,0.4;addx,-20;diffusealpha,1;queuecommand,"Repeat";);
	RepeatCommand=cmd(glow,color("0,0,0,0");linear,1;glow,color("1,0.5,0,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
	OffCommand=cmd(stoptweening;);
	};
};

return t

